Package org.jboss.resteasy.plugins.providers.jaxb

## Class BaseMarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.BaseMarshaller

- All Implemented Interfaces:
    `Marshaller`

      public abstract class BaseMarshaller
      extends Object
      implements Marshaller

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Marshaller

      `Marshaller.Listener`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `charset` |
    `protected Marshaller` | `marshaller` |

    - ### Fields inherited from interface javax.xml.bind.Marshaller

      `JAXB_ENCODING, JAXB_FORMATTED_OUTPUT, JAXB_FRAGMENT, JAXB_NO_NAMESPACE_SCHEMA_LOCATION, JAXB_SCHEMA_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseMarshaller()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `marshal​(Object o, OutputStream outputStream)` |
    `void` | `setProperty​(String s, Object o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.bind.Marshaller

      `getAdapter, getAttachmentMarshaller, getEventHandler, getListener, getNode, getProperty, getSchema, marshal, marshal, marshal, marshal, marshal, marshal, marshal, setAdapter, setAdapter, setAttachmentMarshaller, setEventHandler, setListener, setSchema`

- - ### Field Detail

    - #### marshaller

          protected Marshaller marshaller

    - #### charset

          protected String charset

  - ### Constructor Detail

    - #### BaseMarshaller

          public BaseMarshaller()

  - ### Method Detail

    - #### marshal

          public void marshal​(Object o,
                              OutputStream outputStream)
                       throws JAXBException

      Specified by:
        `marshal` in interface `Marshaller`
      Throws:
        `JAXBException`

    - #### setProperty

          public void setProperty​(String s,
                                  Object o)
                           throws PropertyException

      Specified by:
        `setProperty` in interface `Marshaller`
      Throws:
        `PropertyException`